Index: /palm/trunk/SOURCE/data_output_module.f90
===================================================================
--- /palm/trunk/SOURCE/data_output_module.f90	(revision 4140)
+++ /palm/trunk/SOURCE/data_output_module.f90	(revision 4141)
@@ -3532,17 +3374,17 @@
 
 
-   return_value   = 0
+   return_value = 0
    found = .FALSE.
 
-   DO  f = 1, nf
-      IF ( TRIM( filename ) == TRIM( files(f)%name ) )  THEN
+   DO  f = 1, nfiles
+      IF ( TRIM( file_name ) == TRIM( files(f)%name ) )  THEN
 
          IF ( .NOT. files(f)%is_init )  THEN
             return_value = 1
-            CALL internal_message( 'error', routine_name //                    &
-                                   ': file "' // TRIM( filename ) //           &
-                                   '" is not initialized. ' //                 &
-                                   'Writing variable "' // TRIM( var_name ) // &
-                                   '" to file is impossible.' )
+            CALL internal_message( 'error', routine_name //                     &
+                                   ': file not initialized. ' //                &
+                                   'Writing variable to file is impossible ' // &
+                                   '(variable "' // TRIM( variable_name ) //    &
+                                   '", file "' // TRIM( file_name ) // '")!' )
             EXIT
          ENDIF
@@ -3553,13 +3395,13 @@
          !-- Search for variable in file
          DO  d = 1, SIZE( files(f)%variables )
-            IF ( TRIM( var_name ) == TRIM( files(f)%variables(d)%name ) )  THEN
-
-               var_id    = files(f)%variables(d)%id
+            IF ( TRIM( variable_name ) == TRIM( files(f)%variables(d)%name ) )  THEN
+
+               variable_id    = files(f)%variables(d)%id
                is_global = files(f)%variables(d)%is_global
 
-               ALLOCATE( dim_ids(SIZE( files(f)%variables(d)%dimension_ids )) )
+               ALLOCATE( dimension_ids(SIZE( files(f)%variables(d)%dimension_ids )) )
                ALLOCATE( dimensions(SIZE( files(f)%variables(d)%dimension_ids )) )
 
-               dim_ids = files(f)%variables(d)%dimension_ids
+               dimension_ids = files(f)%variables(d)%dimension_ids
 
                found = .TRUE.
@@ -3573,6 +3415,6 @@
             !-- Get list of dimensions used by variable
             DO  d = 1, SIZE( files(f)%dimensions )
-               DO  dd = 1, SIZE( dim_ids )
-                  IF ( dim_ids(dd) == files(f)%dimensions(d)%id )  THEN
+               DO  dd = 1, SIZE( dimension_ids )
+                  IF ( dimension_ids(dd) == files(f)%dimensions(d)%id )  THEN
                      dimensions(dd) = files(f)%dimensions(d)
                      EXIT
@@ -3585,7 +3427,7 @@
             !-- If variable was not found, search for a dimension instead
             DO  d = 1, SIZE( files(f)%dimensions )
-               IF ( TRIM( var_name ) == TRIM( files(f)%dimensions(d)%name ) )  THEN
-
-                  var_id    = files(f)%dimensions(d)%var_id
+               IF ( TRIM( variable_name ) == TRIM( files(f)%dimensions(d)%name ) )  THEN
+
+                  variable_id    = files(f)%dimensions(d)%variable_id
                   is_global = .TRUE.
 
@@ -3605,7 +3447,8 @@
          IF ( .NOT. found )  THEN
             return_value = 1
-            CALL internal_message( 'error', routine_name //                       &
-                                            ': variable "' // TRIM( var_name ) // &
-                                            '" not found in file "' // TRIM( filename ) // '"' )
+            CALL internal_message( 'error', routine_name //                  &
+                                   ': variable not found in file ' //        &
+                                   '(variable "' // TRIM( variable_name ) // &
+                                   '", file "' // TRIM( file_name ) // '")!' )
          ENDIF
 
@@ -3617,8 +3460,8 @@
    IF ( .NOT. found  .AND.  return_value == 0 )  THEN
       return_value = 1
-      CALL internal_message( 'error', routine_name //                           &
-                                      ': file "' // TRIM( filename ) //         &
-                                      '" for variable "' // TRIM( var_name ) // &
-                                      '" not found' )
+      CALL internal_message( 'error', routine_name //                  &
+                             ': file not found ' //                    &
+                             '(variable "' // TRIM( variable_name ) // &
+                             '", file "' // TRIM( file_name ) // '")!' )
    ENDIF
 
@@ -3641,14 +3484,14 @@
    ! CHARACTER(LEN=*), PARAMETER ::  routine_name = 'get_masked_indices_and_masked_dimension_bounds'  !< name of routine
 
-   INTEGER(iwp) ::  d  !< loop index
-   INTEGER(iwp) ::  i  !< loop index
-
-   INTEGER(iwp), DIMENSION(:), INTENT(IN)  ::  bounds_end           !< upper bonuds to be searched in
-   INTEGER(iwp), DIMENSION(:), INTENT(OUT) ::  bounds_masked_start  !< lower bounds of masked dimensions within given bounds
-   INTEGER(iwp), DIMENSION(:), INTENT(OUT) ::  bounds_origin        !< first index of each dimension, 0 if dimension is masked
-   INTEGER(iwp), DIMENSION(:), INTENT(IN)  ::  bounds_start         !< lower bounds to be searched in
-   INTEGER(iwp), DIMENSION(:), INTENT(OUT) ::  value_counts         !< count of indices per dimension to be output
-
-   INTEGER(iwp), DIMENSION(:,:), ALLOCATABLE, INTENT(OUT) ::  masked_indices  !< masked indices within given bounds
+   INTEGER ::  d  !< loop index
+   INTEGER ::  i  !< loop index
+
+   INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_end           !< upper bonuds to be searched in
+   INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_masked_start  !< lower bounds of masked dimensions within given bounds
+   INTEGER, DIMENSION(:), INTENT(OUT) ::  bounds_origin        !< first index of each dimension, 0 if dimension is masked
+   INTEGER, DIMENSION(:), INTENT(IN)  ::  bounds_start         !< lower bounds to be searched in
+   INTEGER, DIMENSION(:), INTENT(OUT) ::  value_counts         !< count of indices per dimension to be output
+
+   INTEGER, DIMENSION(:,:), ALLOCATABLE, INTENT(OUT) ::  masked_indices  !< masked indices within given bounds
 
    TYPE(dimension_type), DIMENSION(:), INTENT(IN) ::  dimensions  !< dimensions to be searched for masked indices
@@ -3656,5 +3499,5 @@
 
    ALLOCATE( masked_indices(SIZE( dimensions ),0:MAXVAL( bounds_end - bounds_start + 1 )) )
-   masked_indices = -HUGE( 0_iwp )
+   masked_indices = -HUGE( 0 )
 
    !-- Check for masking and update lower and upper bounds if masked
@@ -3665,5 +3508,5 @@
          bounds_origin(d) = 0
 
-         bounds_masked_start(d) = -HUGE( 0_iwp )
+         bounds_masked_start(d) = -HUGE( 0 )
 
          !-- Find number of masked values within given variable bounds
@@ -3681,5 +3524,5 @@
 
                !-- Save bounds of mask within given bounds
-               IF ( bounds_masked_start(d) == -HUGE( 0_iwp ) )  bounds_masked_start(d) = i
+               IF ( bounds_masked_start(d) == -HUGE( 0 ) )  bounds_masked_start(d) = i
 
             ENDIF
@@ -3690,6 +3533,6 @@
          IF ( value_counts(d) == 0 )  THEN
             bounds_origin(:) = 0
-            bounds_masked_start(:) = 0_iwp
-            value_counts(:) = 0_iwp
+            bounds_masked_start(:) = 0
+            value_counts(:) = 0
             EXIT
          ENDIF
